Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jna.platform.win32
Class Sspi.SecBuffer.ByReference

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.win32.Sspi.SecBuffer
              com.sun.jna.platform.win32.Sspi.SecBuffer.ByReference

All Implemented Interfaces:
  com.sun.jna.Structure.ByReference

Enclosing class:
  Sspi.SecBuffer

    public static class Sspi.SecBuffer.ByReference

extends Sspi.SecBuffer
implements com.sun.jna.Structure.ByReference

A ByReference SecBuffer.

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.jna.platform.win32.Sspi.SecBuffer
`Sspi.SecBuffer.ByReference`

Nested classes/interfaces inherited from class com.sun.jna.Structure
`com.sun.jna.Structure.ByValue`

Field Summary

Fields inherited from class com.sun.jna.platform.win32.Sspi.SecBuffer
`BufferType, cbBuffer, pvBuffer`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`Sspi.SecBuffer.ByReference()` Create a SECBUFFER_EMPTY SecBuffer.
`Sspi.SecBuffer.ByReference(int type, byte[] token)`
`Sspi.SecBuffer.ByReference(int type, int size)` Create a SecBuffer of a given type and size.

Method Summary
`byte[]` | `getBytes()` Get buffer bytes.

Methods inherited from class com.sun.jna.Structure
`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getFields, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toArray, toArray, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Sspi.SecBuffer.ByReference

    public Sspi.SecBuffer.ByReference()

  Create a SECBUFFER_EMPTY SecBuffer.

### Sspi.SecBuffer.ByReference

    public Sspi.SecBuffer.ByReference(int type,
                                      int size)

  Create a SecBuffer of a given type and size.

  Parameters:
    `type` - Buffer type, one of SECBUFFER_EMTPY, etc.
    `size` - Buffer size, eg. MAX_TOKEN_SIZE.

### Sspi.SecBuffer.ByReference

    public Sspi.SecBuffer.ByReference(int type,
                                      byte[] token)

Method Detail

### getBytes

    public byte[] getBytes()

  Get buffer bytes.

  Overrides:
    `getBytes` in class `Sspi.SecBuffer`
  Returns:
    Raw buffer bytes.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD